import { IsNotEmpty } from "class-validator";
import { Column } from "typeorm";

export class BaseFooterCmsDto {
    @IsNotEmpty()
    logo: string;

    @IsNotEmpty()
    description: string;

    @IsNotEmpty()
    copyrightText: string;

    @IsNotEmpty()
    contactNo: string;

    @IsNotEmpty()
    contactEmail: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    buttonLink: string;
}